//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class ypdatabase_hook_baseCSS extends _HOOK_CLASS_
{

    /**
     * Base CSS
     *
     * @return    void
     */
    static public function baseCss()
    {
	try
	{
	        parent::baseCss();
	        if (!\IPS\Request::i()->isAjax()) {
	            \IPS\Output::i()->cssFiles = array_merge(\IPS\Output::i()->cssFiles, \IPS\Theme::i()->css('yellowpages.css', 'ypdatabase', 'front'));
	        }
	}
	catch ( \RuntimeException $e )
	{
		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}


